.main-content {
    width: calc(100vw - 20rem);;
    color: #222;
    padding-bottom: 30px;
    margin-left: 16rem;
}

.ls-sidebar {
    width: 12.5rem;
    background-color: var(--white);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .25);
    color: #222;
    display: flex;
    flex-direction: column;
    height: calc(100vh - 30px);
    padding-bottom: 30px;
    position: fixed;
    left: 0;
    top: 30px;
    z-index: 5;
}

.ls-sidebar .ls-sidebar-coll-logo {
    height: 8.5em;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: space-between;
    padding: 1.75rem 0.4rem 3.25rem;
    font-size: 1.125rem;
}

.ls-sidebar .ls-sidebar-menu {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.ls-sidebar .ls-sidebar li {
    list-style: none;
}

.ls-sidebar .main-menu .over-menu {
    background-color: var(--ls-primary-100);
}

.ls-sidebar .main-menu {
    padding: 0.5rem 0;
    overflow-y: auto;
}

.ls-sidebar .main-menu:nth-child(1) {
    flex-grow: 1;
}

.ls-sidebar .main-menu > li {
    min-height: 2.75rem;
    /*position: relative; */
    overflow-y: visible;
}

.ls-sidebar ul.sub-menu {
    overflow-y: hidden;
}

.ls-sidebar ul.pop {
    overflow-y: visible !important;
    transform: translate3d(12.5rem, -2.75rem, 0);


}

.ls-sidebar div.pop {
    max-height: 100%;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .25);
    background-color: var(--white);
}


.ls-sidebar .main-menu > li > a {
    display: flex;
    color: inherit;
    text-decoration: none;
    align-items: center;
    min-height: 2.75rem;
    padding-right: .75rem;
    padding-left: .75rem;
}

.ls-sidebar .main-menu > li > a > i {
    width: 38px;
}


.ls-sidebar .main-menu > li > a > svg {
    width: 38px;
}

.ls-sidebar .main-menu > li.active {
    box-shadow: inset 4px 0 0 var(--ls-primary-600);
    background-color: var(--ls-primary-50);

}

.ls-sidebar .sub-menu li :hover {
    background-color: var(--ls-primary-100);
}

.ls-sidebar li.active .sub-menu li  :hover {
    box-shadow: inset 4px 0 0 var(--ls-primary-600);
    background-color: var(--ls-primary-100);
}

.ls-sidebar .main-menu > li.active > a, .ls-sidebar .main-menu > li.active .sub-menu > .active {
    color: var(--ls-primary-600);
    font-weight: 700;
}

.ls-sidebar .sub-menu {
    max-height: 0;
    padding: 0;
}

.ls-sidebar .main-menu li.active .sub-menu {
    max-height: 100vh;
}

.ls-sidebar .sub-menu li {
    display: flex;
    position: relative;
}

.ls-sidebar .sub-menu li > a {
    flex: 1;
    display: flex;
}


.ls-sidebar .sub-menu a {
    padding-left: 3rem;
    color: inherit;
    text-decoration: none;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    min-height: 2.75rem;
    padding-right: .75rem;
}

.ls-sidebar .sub-menu li > a {
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}


.ls-sidebar .main-menu > li.active {
    -webkit-box-shadow: inset 4px 0 0 var(--ls-primary-600);
    box-shadow: inset 4px 0 0 var(--ls-primary-600);
    background-color: var(--ls-primary-50);

}


.ls-sidebar .main-menu li.active .sub-menu .active {
    -webkit-box-shadow: inset 4px 0 0 var(--ls-primary-600);
    box-shadow: inset 4px 0 0 var(--ls-primary-600);
    background-color: var(--ls-primary-200);
    color: #222;
}

.ls-sidebar .main-menu li.active .sub-menu .active a {
    color: #222;
    font-weight: 500;
}
